> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bonifiq.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve pending purchase points and cashback for a given customer.

> This endpoint returns orders that still do not have granted purchase points and are either still waiting for the scoring status or already eligible but not processed yet.
The summary includes the total pending points and, when cashback is active, the total pending cashback.



## OpenAPI

````yaml https://api.bonifiq.com.br/swagger/Private%20APIs/swagger.json get /v1/pvt/Customer/{id}/pendingpoints
openapi: 3.0.0
info:
  title: BonifiQ Private APIs
  description: >-
    # Introduction 

    This is the BonifiQ Private APIs documentation. With these endpoints you can
    interact with BonifiQ systems and enhance your program points.


    # Limitations

    These endpoints are intended to be used in backend communication so they are
    not CORS-compatible and cannot be used by in-browser frontend libraries
    (such as React, Angular, Vue, jQuery, etc)


    If are required to call BonifiQ API from a browser, please refer to our
    [Public APIs](https://api.bonifiq.com.br/apidocs/public)


    # Authentication

    These Private APis use the [Basic
    Authentication](https://en.wikipedia.org/wiki/Basic_access_authentication)
    scheme. You need both an API Token (Username) and API Key (Password) to use
    with it


    You can generate this key pair in BonifiQ admin panel, at the "API Keys"
    menu.


    # How to use this page

    ## Making calls

    You can simulate, test and make calls to API from this Swagger page. To do
    that:

    - Click on the **Authorize** button

    - Inform the Username (API Token) and Passwoird (API Key) and click on
    **Authorize**

    - From the list bellow, choose an API call and click on **Try it out**

    - Inform the required parameters (if any) and click on **Execute**


    ## Verifying requests and responses bodies

    In every API Call there is an explanation of what each field means, theirs
    types and accepted values for all Requests and Responses.


    To view this information, just go to any API Call bellow and in the
    Responses section, click on the Schema.
  version: 1.0.0
servers:
  - url: https://api.bonifiq.com.br
security: []
tags:
  - name: POS
    description: >-
      Flow methods to integrate BonifiQ with a POS system. Check the Flow
      Documentation link on the right
    externalDocs:
      description: Flow Documentation
      url: >-
        https://suporte.bonifiq.com.br/support/solutions/articles/159000319538-integrar-com-pdv
  - name: Checkout
    description: Operations related to checkout cashback redeem, refresh and removal
  - name: Customization
    description: Retrieve customizations for the loyalty program
  - name: Rewards
    description: Interact with rewards already redeemed
paths:
  /v1/pvt/Customer/{id}/pendingpoints:
    get:
      tags:
        - Customer
      summary: Retrieve pending purchase points and cashback for a given customer.
      description: >-
        This endpoint returns orders that still do not have granted purchase
        points and are either still waiting for the scoring status or already
        eligible but not processed yet.

        The summary includes the total pending points and, when cashback is
        active, the total pending cashback.
      operationId: Customer_PendingPoints
      parameters:
        - name: id
          in: path
          required: true
          description: Id from the client`s store, usually email address
          schema:
            type: string
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerPendingPointsResponse'
      security:
        - Basic Authentication: []
components:
  schemas:
    CustomerPendingPointsResponse:
      type: object
      description: >-
        Summary of purchase points and cashback that are still pending for a
        customer.
      additionalProperties: false
      properties:
        TotalPendingPoints:
          type: integer
          description: >-
            Total amount of pending points considering all eligible pending
            orders.
          format: int32
        TotalPendingCashback:
          type: number
          description: >-
            Total cashback equivalent for the pending points when cashback is
            active. Otherwise null.
          format: decimal
          nullable: true
        PendingOrders:
          type: array
          description: >-
            Orders that still have points pending to be processed or are still
            waiting for the scoring status.
          xml:
            wrapped: true
          items:
            xml:
              name: CustomerPendingOrderResponse
            oneOf:
              - $ref: '#/components/schemas/CustomerPendingOrderResponse'
    CustomerPendingOrderResponse:
      type: object
      description: Pending points and cashback projection for a single order.
      additionalProperties: false
      properties:
        OrderDate:
          type: string
          description: Order date informed by the integration.
          format: date-time
        OrderValue:
          type: number
          description: Order amount considered for point calculation.
          format: decimal
        PendingPoints:
          type: integer
          description: Estimated points to be granted for this order.
          format: int32
        PendingCashback:
          type: number
          description: >-
            Estimated cashback equivalent for this order when cashback is
            active. Otherwise null.
          format: decimal
          nullable: true
  securitySchemes:
    Basic Authentication:
      type: http
      description: Use API Basic Auth Keys
      name: Basic Authentication
      in: header
      scheme: basic

````